## ros-noetic-libdlib 0.6.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(libdlib)

find_package(catkin REQUIRED)

catkin_destinations() # set-up destination variables
file(MAKE_DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION})

set(VERSION 19.9)

include(ExternalProject)
ExternalProject_Add(EP_${PROJECT_NAME}
    URL https://github.com/ipa320/thirdparty/raw/master/dlib-${VERSION}.tar.bz2
    URL_MD5 4a3868a1e88721b68ccfb0567eaac87b

    SOURCE_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src
    BINARY_DIR ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-build

    CONFIGURE_COMMAND ${CMAKE_COMMAND} CFLAGS=-Wno-deprecated-declarations\ -Wno-terminate\ -Wno-pragmas\ -Wno-shift-negative-value CXXFLAGS=-Wno-deprecated-declarations\ -Wno-terminate\ -Wno-pragmas\ -Wno-shift-negative-value ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/dlib
    BUILD_COMMAND ${CMAKE_COMMAND} --build . --config Release -- -Wno-deprecated-declarations -Wno-terminate -Wno-pragmas -Wno-shift-negative-value
        # copy headers to devel space (catkin does not like headers in source space)
        COMMAND ${CMAKE_COMMAND} -E copy_directory ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-src/dlib ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}
        # copy libs, set-up soname chain
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-build/libdlib.a ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}
    INSTALL_COMMAND ""
)

catkin_package(
    CFG_EXTRAS libdlib-extras.cmake # catkin_package does not support artifacts in devel space
    EXPORTED_TARGETS EP_${PROJECT_NAME}
)

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_INCLUDE_DESTINATION}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_LIB_DESTINATION}/libdlib.a
    DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-noetic-libdlib (0.6.18-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-libdlib (0.6.17-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 May 2020 22:00:00 -0000

ros-noetic-libdlib (0.6.16-1focal) focal; urgency=high

  * Merge pull request #109 <https://github.com/ipa320/cob_extern/issues/109> from fmessmer/noetic_release
    Noetic release
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 25 May 2020 22:00:00 -0000

ros-noetic-libdlib (0.6.15-1focal) focal; urgency=high

  * Merge pull request #106 <https://github.com/ipa320/cob_extern/issues/106> from fmessmer/upgrade_dlib_19.9
    suppress warnings + upgrade dlib 19.9
  * adjust -Wno-* for libdlib 19.9
  * upgrade dlib version to 19.9
  * add -Wno-* CXXFLAGS
  * -Wno-* in CONFIGURE_COMMAND
  * Merge pull request #102 <https://github.com/ipa320/cob_extern/issues/102> from fmessmer/suppress_warnings
    add -Wno-* compile option to suppress warnings
  * add -Wno-* to libdlib
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-libdlib (0.6.14-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-libdlib (0.6.13-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-libdlib (0.6.12-1focal) focal; urgency=high

  * Merge pull request #92 <https://github.com/ipa320/cob_extern/issues/92> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Contributors: Felix Messmer

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-noetic-libdlib (0.6.11-1focal) focal; urgency=high

  * fix include_dirs in cmake_extras
  * use EXPORTED_TARGETS
  * migrated libdlib to catkin-native wrapping
  * license workarounds
  * minor changes
  * changed libopengm to opengm, because of internal includes of opengm-library that expect headers to be in include/opengm
  * continued workaround before merge with ipa320
  * catkin workaround before merge with ipa320
  * changed libdlib and libqsopt to provide the static library right
  * Contributors: ipa-fxm, ipa-rmb-fj

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-libdlib (0.6.10-1focal) focal; urgency=high

  * manually fix changelogs
  * Contributors: ipa-fxm

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 07 Dec 2016 23:00:00 -0000

ros-noetic-libdlib (0.6.9-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.8-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.7-1focal) focal; urgency=high

  * update changelog
  * Contributors: ipa-nhg

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 19 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.6-1focal) focal; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * Update package.xml
  * Contributors: Florian Weisshardt

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 12 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.5-1focal) focal; urgency=high

  * fixed package.xmls
  * added 3 libs: concorde_tsp_solver, dlib, and opengm
  * Contributors: Richard Bormann

 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.4-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-noetic-libdlib (0.6.3-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-noetic-libdlib (0.6.2-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-noetic-libdlib (0.6.1-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 27 May 2015 22:00:00 -0000

ros-noetic-libdlib (0.6.0-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-noetic-libdlib (0.5.3-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-noetic-libdlib (0.5.2-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Wed, 26 Mar 2014 23:00:00 -0000

ros-noetic-libdlib (0.5.1-1focal) focal; urgency=high



 -- Richard Bormann <richard.bormann@ipa.fraunhofer.de>  Sun, 23 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-libdlib
Section: misc
Priority: optional
Maintainer: Richard Bormann <richard.bormann@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://dlib.net/
Standards-Version: 3.9.2

Package: ros-noetic-libdlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package wraps the external c++ library dlib (http://dlib.net/) in a ROS package, so other packages can use it.
 The code was obtained from https://github.com/davisking/dlib . For further descriptions and tutorials see the Makefile.tarball and http://dlib.net/ .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-libdlib//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
